Package fr.gouv.vitam.common.database.builder.request.configuration

# Enum Class BuilderToken.PROJECTION

java.lang.Object
java.lang.Enum<BuilderToken.PROJECTION>
fr.gouv.vitam.common.database.builder.request.configuration.BuilderToken.PROJECTION

All Implemented Interfaces:
  `Serializable`, `Comparable<BuilderToken.PROJECTION>`, `Constable`

Enclosing class:
  `BuilderToken`

public static enum BuilderToken.PROJECTION extends Enum<BuilderToken.PROJECTION>
Projection model

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIELDS`
  Specify the fields to return $fields : {name1 : 0/1, name2 : 0/1, ...}
  `USAGE`
  UsageContract reference that will be used to select the binary object version to return $usage : contractId

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `exactToken()`
  `static BuilderToken.PROJECTION`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BuilderToken.PROJECTION[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIELDS

    public static final BuilderToken.PROJECTION FIELDS
    Specify the fields to return $fields : {name1 : 0/1, name2 : 0/1, ...}

  - ### USAGE

    public static final BuilderToken.PROJECTION USAGE
    UsageContract reference that will be used to select the binary object version to return $usage : contractId

- ## Method Details

  - ### values

    public static BuilderToken.PROJECTION[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BuilderToken.PROJECTION valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### exactToken

    public final String exactToken()
    Returns:
      the exact token